
QGIS Application - Bug report #7378

Fields created with the field calculator are filled with NULLs

2013-03-16 11:52 PM - Borys Jurgiel

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16350

Description

Seems another attribute indexing regression:

1. Create a new field with the calculator

2. The preview in the attribute table looks ok

3. Close and reopen the table

4. The column is filled with NULLs

It only affects newly created fields. Updating existing fields works well.

History

#1 - 2013-03-16 11:55 PM - Borys Jurgiel

- Subject changed from Fields created with the field calculator are filled with null to Fields created with the field calculator are filled with NULLs

#2 - 2013-03-18 12:34 PM - Filipe Dias

I confirm this bug. Creating a new field from scratch or based on another field is impossible with Qgis Master.

#3 - 2013-03-27 05:35 AM - Borys Jurgiel

Still valid with the new dual-view attribute table

#4 - 2013-04-07 10:28 AM - Pedro Venâncio

I also confirm this bug with the master version compiled yesterday (Xubuntu 12.04).

In the several attempts I made, there was one that I had some records selected manually, and created a new column, with the "Only update selected

features" option, and it corrupted the shapefile (erased all records of the attribute table). After that I have done several attempts to try to reproduce this

serious problem, but has not happened again.

#5 - 2013-04-23 03:07 AM - Matthias Kuhn

- Status changed from Open to Closed

Should be ok as of commit:6d046fc .

Please check and reopen if necessary.
